Copyright: Rambooster


Overview

RamBooster is a program to free up Ram by forcing Windows to remove all the data that is not currently

needed in the memory.

Some advantages of this are:

-No more lock-ups

-Some applications load as much as 40% faster

-Prevents blue screens

-Makes websurfing faster, especially if you visit sites with heavy graphics.

An example of advantages of RB, could be my own PC(233mmx, 64Mb sdram, Win95b). Before I made RB, I was happy if the uptime was 2-3 days, I usually had to reboot after hard surfing, nowadays uptime is easily weeks. While writing this, uptime is more than 4 weeks, and I really use this PC a lot;

-Delphi programming,

-picture editing(Paint Shop Pro)

-WinAmp

-surfing, IRC (IrcNet #turku, nick Huimapaa)

or StarChat channel #inSANeDIEGO and e-mail

-seti@home-client or rc5des-client running all the time.

+many more programs


Help for options

-Sound on

       This must be obvious; to toggle the sounds on/off.

        If you don't like the sounds shipped with RamBooster,

        you can replace the .wav-files with the ones you like.

        Recommeded setting : OFF

-Run automatically at alarm level

        Toggles alarm-level use on/off.

        Recommended setting : ON

        If you use some large program that fills ram all

        the time, and you get too many alarms, turn this

        one off. (Try first to lower the alarm level)

-Launch automatically at start-up

        Launches RamBooster automatically every time

        Windows is started

        Recommended setting : ON

-Start Minimized

        RamBooster minimizes to system-tray when

        started if this one is selected.

        Recommended setting : ON

-Alarm level (Mb)

        If free ram available goes below this limit,

        RamBooster tries automatically to free up

        some Memory. This does not affect the

        program is alarm-level is set OFF

        Recommended value : 10% of total ram or less. Setting

        this value too high can cause the program to run all the time

        trying to free up ram, making your other applications

        run slower.

-Show CPU-Usage

        Select this if you want to see the cpu-usage

        on the main-screen all the time.

        Recommended value : Up to you and your needs.

        If you use NT, this should always be set "off"

-Amount of RAM to free at alarm-level (Mb)

        If alarm level is set and available RAM goes

        below it, program tries to free up this

        much RAM

        Recommended value : from 1 MB to half of

        on the depending on the program you are using. If surfing,

        half of total RAM seems to be OK, if manipulating

        pictures, sometimes 1-2 Mb is enough. You find

        best value for this by testing.

        READ THE NEXT CAREFULLY !

        I HAVE RECEIVED A LOT OF E-MAIL FROM

        PEOPLE WHO HAVE NOT READ THE HELP-FILE

        CAREFULLY ENOUGH !!

        NOTICE: This value shouldn't  be mixed

        with the slide-bar position on the main-screen.

        The amount entered with the slide-bar is used ONLY

        when you push the 'Optimize'-button, not at alarm-level.

-Interval to refresh screen (sec)

        Interval to update memory-display and amount

        of free ram. Also alarm-level is checked along with

        them.

        Recommended value : 1

-Times to retry optimization

        RamBooster is not always able to free the desired amount

        of ram for the first time, so you can set a retry-count for it.

       (program tries to free up ram until at least target-level - 15% is

        reached)

        The maximum for this is 15

        Recommended value 1-3

        NOTICE : Remember that this works also when alarm-level

        is reached and you should keep 'Amount of ram to free at

        alarm level' low enough. (It is not very nice if you set it high,

        and retry-count to 15. Program trying to free up a huge amount

        of ram in the middle of surfing and doing it 15 times....)

-Run only if Cpu-usage is below this

        If you set a value here, RamBooster tries to

        free Ram at alarm-level ONLY if current

        cpu-usage is below this level. This prevents

        RamBooster to slow down the system when

        the system is actively doing something.

        (Browsing thumbnails with PSP etc.)

        Setting this value to zero disables the

        Cpu-usage detection.

        Recommended value : Impossible to say.

        This depends so much on the usage of the

        computer. I myself use 25%.

        If you use NT, this should always be set to 0.


About the author

- Have you programmed a lot?

- Yes I have. I have made programs for mainframes for years, my specialty has been Hospital and Medical-center computer systems. However, I have not programmed any commercial software for Windows9X.

- What tools did you use to make RAMBooster?

- I used Delphi 3.0 Standard edition and only it. There are components for handling the tray-icon etc. but I didn’t want to use them, because I want to know exactly what this program does and why.

In April 1999 I rebuild the program using Delphi 4.0 Professional.

My snail-mail address is:

J.Pajula

Ankkurikylankatu 13 g 25

20240 Turku

FINLAND

Europe


About swap-file and disk-cache
Swap-file

RamBooster uses the swap-file, so make sure it is big enough, and that there is enough space for it on the hard-disk it is located on.

The old recommendation for the swap-file beeing about 2-2½ times the ram causes problems with modern programs, if you have for example, a 16mb system, 40mb is definitely not big enough and causes crashes and windows telling you "Out of memory". The reason for this kind of an error message is always the same; both, swap-file and ram are filled up, and it means usually that there is not enough room for the swap-file.

Current recommendation for swap-file is, that only the minimum is set, and no maximum. The minimum should be set so high, that it is practically never reached, and, if possible swap should be located on a separate disk from Windows and/or programs. This way swapping can use separate read/write heads than Windows, making the system faster. Separate disk here means physically separate, placing swap on the same disk but separate partition does not increase performance..

(There are exceptions for these rules, read lower down this page)

Filecache

The filecache setting is one way to increase performance.

This is not required by RB, but so many people have asked about this, so

I decided to tell, how this is done.

Run sysedit, and in your SYSTEM.INI file find a line [vcache] (if there is no such line, type it)

Below this line type the following:

MaxFileCache=nnnnn

where nnnnn is a value, that is one quarter of the total ram in kilobytes

For example in 64mb systems this value is about 16000.

After this is done, save settings and reboot.

These tips are for Win95 only I am not responsible of any damage that using them might cause.

Resources

I have been asked questions like "No matter how many times I run RB, I get no more free resources, why is that?"

The answer for this is simple: the resources have actually nothing to do with the amount of ram. Even if you have 512Mb in your PC, you still have the same amount of resources to use. Resources are kind of a "heaps" that Windows uses for it's own purposes, and there is no program that can give you more resources. The only way to free up resources is to turn off some programs.

Where to find more info?

If you want to know more about these things I have found an excellent

website for you, URL  published with the permition from the author.

http://epsilon.silicon.net.my/adrian/ by Adrian Wong is something you should definitely study carefully, if you are interested in improving the performance and stability of your PC.


Alarm level

- What is the best value of the alarm level?

- According to the tests, about 10% or less of the amount of total RAM is sufficient.


Any danger?

- Could it be dangerous for my system to keep clicking on "Optimize"-button with max value in the field "amount of RAM allocate/free"?

- No, it can not harm your system, but there might be a little delay in starting programs that are currently open, because practically everything is wiped out from the memory


Free RAM view

- How can I know the amount of free RAM without maximizing the program?

- Move your cursor on the icon and the RAMBooster will show it. Minimizing the program in "normal"-windows way keeps amount of free RAM in sight in taskbar.


Main screen
Main-screen

This is the main screen of RB.

-'Optimize' (Alt-O) RB makes RB to free up memory

-'Send to tray' (Alt-S) minimizes RB to the system tray (beside the clock)

-'Toggle mode' (Alt-T) turns the main-screen of and a little monitor containing only info about cpu-usage and available RAM is shown.

You can use the same shortcuts even if the program is in monitoring mode.

To go back to normal mode from the monitoring mode, just double-click the panel.

Notice that free ram (Mb) is shown also in the form header.

I have received some e-mail about the readings ("Why do I see 22MB when I run cursor on icon. Isn't 23 000 KB supposed to be 23MB, Kilobytes divided by 1000?") MB is actually 1024 KB, not 1000, and all the numbers are rounded down, that's the explanation.


Operation systems

- Does RAMBooster work in Win NT?

- Yes it does. (Thanks to Neil Waterfield for testing), but with some limitations. The cpu-usage features are not available. The program was originally made to run under Win95/98 only, but then some people started to use it under NT and found it useful.

The cpu-limit selection in the "Preferences"-screen should be set to 0,and the "Show cpu-usage" should be turned off, if you are running RB under NT.


Out of order
Out-of-order

- RamBooster keeps trying to free memory all the time

- Set alarm-level lower

- It did not help, what now?

- Turn automatic alarm-level check OFF and do it manually. This situation occurs only in special cases.


Participants

I want to thank following persons, they have been a great help for me while making RB:

- Neil Waterfield, NT-testing

- Vesa Heinonen, Win98 testing

- Toni Lilja, Win95b and NT testing

- Carl Swann, lot's of good ideas

- Jef Bardsley, splash-screen and lot's of kind words

- Jerry Palsson for beeing a nice person

- Dale Robbins, pointed me many things that can and should be done more clever  way using Delphi.

- Wilson Co, Philippines gave me idea to upload to ZDnet. Result; 4 stars, Editors Pick, PC-Mag Daily download etc.

- Hawkman for finding first the only serious bug so far, he even sent me screenshots

- Laura and Richard, they have believed in me from the very beginning, and their

positive comments have helped me a lot those moments I was a little bit

tired and maybe even burned-out because of the huge amount of work

making a program like this requires.

-Omar Geraldo Lopes Diniz, father of some useful new features (reboot, restart etc.)

-Jagerdude for the new splash-screen.

-Eugene M. Neginsky for helping me with help-files

+ ALL the nice, kind people who have encouraged me and helped to make RamBooster better


Price

- How much does this program cost?

- This program is completely free to use (see also Rights )

- Why it's free? You could earn some money with this.

- I know that there are shareware programs like this, so what is the point to make one more? Maybe I am

not greedy enough to ask money for everything I do.

- Why did you make this program?

- I did it for myself and for my friends. I needed a program like this, and nothing else was found in the internet than shareware. It was a reason enough to make it. The fact that the program has been a huge success has really surprised me.

- It is freeware, is there anything you want me to do or give you if I use this program?

- If you wish, a postcard of your city is always welcome. Thank you in advance !


Ram size view

- I have 64 Mb of RAM, but RamBooster shows only 63, is there something wrong?

- No, just to be sure, the amount of total RAM is rounded down. Let’s say that you have 63,999 mb RAM.

That will be shown as 63 mb


Screen view

- I see only icon in the tray. How can I see the main screen?

- Double-click on the icon.

- I want to turn the splash screen off

- You can't :Þ You can, however, press Enter or click on the splash-screen to make it disappear faster

- I like sounds, but not these ones. Can I change them simply by replacing the .wav-files?

- Yes, any .wav file will work.


Screen boundaries

- What if the preferences screen is partly out of the screen boundaries and the only way to continue is to press Ctrl-Alt- Del? (Many people have asked this and it really surprised me)

- Your screen resolution is so low, that Prefs- form does not fit into your screen anymore. In Win9X systems you can DRAG the windows by moving the cursor on the form header (the blue area) and and then keeping the left mouse button down. Now you are able to move the window anywhere you like on the screen and you can see the ’Done’-button. If your resolution is so low, that there is no way to see the button, you can move on it with ’Tab’. Then just press Enter to close the screen.


Why?

- Why doesn’t the program have a cool animated graphic monitor to show the amount of free RAM?

- Well, I want to keep it very small and quick and not to waste any system resources unnecessarily.

We should remember that this program is a tool, and there is no sense of making a tool look cool if that causes higher CPU and memory load.

- If above is true, why it has sounds?

- Because hundreds of people emailed me and told me that they want to hear a sound at the time when alarm level is reached. I bet that sooner or later everyone turns the sounds off. (You can even remove the files from your hard disk, if you wish) I could have included the sounds into the executable program, but I didn’t want to do it because they make the program bigger, that’s why they are in separate files, so they don't reserve any system resources, just a little of your hard-disk space.


Rights

You can distribute this program with one condition:

You're not allowed to modify any part of the program or files included.(sound files are excluded).


Where to find new version?
Where to find the up-to-date version of RamBooster?

The best place to find the new version, is my website:

http://sci.fi/~borg/rambooster/index.htm

The best way to keep informed of new version is joining the RamBooster mailing list on the website.

If you have difficulties with installing or downloading, you are welcome to e-mail me to borg@sci.fi